package com.ruoyi.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 错外链监测对象 trs_url_result
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
public class TrsUrlResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 标识 */
    @Excel(name = "标识")
    private Long record;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String sitename;

    /** 所在页 */
    @Excel(name = "所在页")
    private String url;

    /** 链接 */
    @Excel(name = "链接")
    private String linkurl;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 信息 */
    @Excel(name = "信息")
    private String msg;

    public String getSitetag() {
        return sitetag;
    }

    public void setSitetag(String sitetag) {
        this.sitetag = sitetag;
    }

    @Excel(name = "网站类型")
    private String sitetag;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Excel(name = "标题")
    private String title;

    /** 扫描时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "扫描时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setRecord(Long record) 
    {
        this.record = record;
    }

    public Long getRecord() 
    {
        return record;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }

    public void setLinkurl(String linkurl) 
    {
        this.linkurl = linkurl;
    }

    public String getLinkurl() 
    {
        return linkurl;
    }

    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public void setMsg(String msg) 
    {
        this.msg = msg;
    }

    public String getMsg() 
    {
        return msg;
    }

    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("record", getRecord())
            .append("sitename", getSitename())
            .append("url", getUrl())
            .append("linkurl", getLinkurl())
            .append("type", getType())
            .append("msg", getMsg())
            .append("time", getTime())
            .toString();
    }
}
